SWISSWATCH(1)

NAME
swisswatch - Swiss Railway analog clock

SYNOPSIS
swisswatch [OPTION...]

DESCRIPTION
swisswatch renders the iconic Swiss Railway (SBB/CFF/FFS) clock face designed by Hans Hilfiker in the 1940s. The second hand sweeps around in 57.5 seconds, pauses at 12 o'clock until it receives the minute signal, then begins the next sweep. The minute hand jumps to the next minute position at each minute boundary.

By default the clock is displayed as an undecorated, transparent circular window (shaped mode) that floats on the desktop without a title bar. The window can be moved by clicking and dragging anywhere on the clock face.

  Usage:

    swisswatch [OPTION...]

  Help Options:

-h, --help
    Show help options

--help-all
    Show all help options

--help-gapplication
    Show GApplication options

  GApplication Options:

--gapplication-service
    Enter GApplication service mode (use from D-Bus service files)

  Application Options:

--name=NAME
    clock face (default: swisswatch)

--railroad
    Swiss Railway Clock second-hand mode

--norailroad
    Smooth, continuous second-hand motion

--circular
    Keep face circular when window is non-square

--nocircular
    Allow elliptical face when window is non-square

--shape
    Undecorated transparent circular window

--noshape
    Standard decorated rectangular window

--fullscreen
    Start in fullscreen mode

--nofullscreen
    Start in normal (non-fullscreen) mode (default)

--tick=SECONDS
    Update interval in seconds

-V, --version
    Show version information and exit

  Available clock faces:

swisswatch
    authentic SBB/CFF/FFS Swiss Railway clock (default)

botta
    Mario Botta's SF MoMA design

fancy
    stylised outlined hands on black

swissclock
    arrow hands, railroad mode

oclock
    MIT oclock emulation, no second hand

NOTES
The available clock faces and their brief descriptions are listed in the --name option's help text (see --help-all). Each face sets its own defaults for background colour, window shape, railroad mode, and update rate; individual flags such as --noshape and --norailroad override the face's defaults.

The --tick option controls how often the display is redrawn. The default of 0.06 seconds (approximately 17 frames per second) is fast enough for the smooth second-hand sweep in railroad mode. In --norailroad mode the default is 1 second since no sub-second motion occurs.

Transparency in shaped mode requires a compositing window manager. On desktops without compositing the transparent regions appear black.

KEYBOARD SHORTCUTS
The following keys are active while the clock window has focus:

Escape, q, Q
    Close the clock window and exit.

+, =, KP_Add
    Increase the window size by 50 pixels.

-, KP_Subtract
    Decrease the window size by 50 pixels.

f, F, F11
    Toggle fullscreen mode (equivalent to --fullscreen/--nofullscreen).

r, R
    Toggle railroad (Swiss Railway) second-hand mode (equivalent to --railroad/--norailroad).

n, N
    Cycle to the next clock face (equivalent to --name), restarting the timer if the face's update rate differs.

s, S
    Toggle shaped (undecorated, transparent) mode (equivalent to --shape/--noshape).

c, C
    Toggle circular mode (equivalent to --circular/--nocircular).

AUTHORS
Simon Leinen (Ecole Polytechnique Federale de Lausanne) wrote the original Xt/X11 version.

Der Mouse wrote the mclock program that inspired the original; portions of the documentation are adapted from mclock.doc.

GTK4/Cairo port by Barak A. Pearlmutter.

EXAMPLES
Normal Swiss Railway clock (shaped, no title bar):
    swisswatch

Plain decorated rectangular window:
    swisswatch --noshape

Smooth second hand (non-railroad mode) in a decorated window:
    swisswatch --norailroad --noshape

Elliptical face (stretches to fill the window aspect ratio):
    swisswatch --nocircular --noshape

REPORTING BUGS
Report bugs at: https://tracker.debian.org/pkg/swisswatch

COPYRIGHT
Copyright © 1992 Simon Leinen License GPLv2+: GNU General Public License v2 or later.

SEE ALSO
xclock(1)